# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

inherit pax-utils rpm multilib xdg-utils

DESCRIPTION="Advanced cross-platform Google Drive client"
HOMEPAGE="https://www.insynchq.com/"
NAUTILUSPV="3.4.2.40983"
DOLPHINPV="3.4.2.40983"
THUNARPV="3.0.23.40579"
NEMOPV="3.4.2.40983"
CAJAPV="3.4.2.40983"
EMBLEMPV="3.4.2.40983"
SRC_URI="
	x86? ( http://s.insynchq.com/builds/insync-1.4.9.37127-fc25.i686.rpm )
	amd64? ( http://yum.insync.io/fedora/35/x86_64/insync-${PV}-fc35.x86_64.rpm
	http://yum.insync.io/fedora/35/noarch/insync-nautilus-${NAUTILUSPV}-1.noarch.rpm
	http://yum.insync.io/fedora/35/noarch/insync-dolphin-${DOLPHINPV}-1.noarch.rpm
	http://yum.insync.io/fedora/35/noarch/insync-thunar-${THUNARPV}-1.x86_64.rpm
	http://yum.insync.io/fedora/35/noarch/insync-nemo-${NEMOPV}-1.noarch.rpm
	http://yum.insync.io/fedora/35/noarch/insync-caja-${CAJAPV}-1.noarch.rpm
	http://yum.insync.io/fedora/35/noarch/insync-emblem-icons-${EMBLEMPV}-1.noarch.rpm )"

LICENSE="no-source-code"
SLOT="0"
KEYWORDS="~amd64 ~x86"

S="${WORKDIR}"
#QA_PREBUILT=opt/skypeforlinux/skypeforlinux
#QA_TEXTRELS=opt/skypeforlinux/resources/app.asar.unpacked/node_modules/slimcore/bin/slimcore.node
#QA_EXECSTACK=opt/skypeforlinux/resources/app.asar.unpacked/node_modules/slimcore/bin/slimcore.node
RESTRICT="mirror bindist strip" #299368
RDEPEND="dev-qt/qtcore:5
	dev-qt/qtdeclarative:5
	dev-qt/qtgui:5
	dev-qt/qtnetwork:5
	dev-qt/qtpositioning:5
	dev-qt/qtwebchannel:5
	dev-qt/qtwebengine:5
	sys-libs/zlib
	|| ( sys-devel/base-gcc sys-devel/gcc )
	media-libs/libglvnd
	sys-libs/glibc
	dev-libs/libffi-compat
	>=dev-lang/python-3"

src_unpack() {
	rpm_src_unpack
}

src_prepare() {
	default
	sed -e "s!/usr/lib/insync/insync!${EPREFIX}/opt/insync/insync!" \
		-i usr/bin/insync || die
	sed -e "s!^Exec=insync start!Exec=${EPREFIX}/opt/bin/insync start --ca-path=/etc/ssl/certs!" \
		-i usr/share/applications/insync.desktop || die
	sed -e "s!^Exec=insync!Exec=${EPREFIX}/opt/bin/insync!" \
		-i usr/share/applications/insync-helper.desktop || die
	sed -e "s!^Exec=insync!Exec=${EPREFIX}/opt/bin/insync!" \
		-i usr/share/kservices5/fileitemactioninsyncplugin.desktop || die
}

src_install() {
	dodir /opt
	cp -a usr/lib/insync "${D}"/opt || die

	dodir /usr
	cp -a usr/share "${D}"/usr || die
	cp -a usr/$(get_libdir) "${D}"/usr || die

	into /opt
	dobin usr/bin/insync

	into /usr
	dobin usr/bin/insync
}

pkg_postinst() {
	xdg_desktop_database_update
	xdg_mimeinfo_database_update
}

pkg_postrm() {
	xdg_desktop_database_update
	xdg_mimeinfo_database_update
}
