# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit eutils udev desktop

DESCRIPTION="electronics prototyping platform based on easy-to-use hardware and software"
HOMEPAGE="https://www.arduino.cc/ https://www.pjrc.com/teensy/"
TEENSY_PV="156"
MY_PN="${PN/-bin}"
MY_P="${MY_PN}-${PV}"
SRC_URI="
	amd64? ( https://downloads.arduino.cc/arduino-${PV}-linux64.tar.xz -> ${MY_P}-linux64.tar.xz
		https://www.pjrc.com/teensy/td_${TEENSY_PV}/TeensyduinoInstall.linux64 -> TeensyduinoInstall-${TEENSY_PV}.linux64 )
	x86? ( https://downloads.arduino.cc/arduino-${PV}-linux32.tar.xz -> ${MY_P}-linux32.tar.xz
		https://www.pjrc.com/teensy/td_${TEENSY_PV}/TeensyduinoInstall.linux64 -> TeensyduinoInstall-${TEENSY_PV}.linux32 )
	https://www.pjrc.com/teensy/00-teensy.rules
"

LICENSE="GPL-2 LGPL-2.1"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
IUSE=""

DEPEND=""
RDEPEND=""

S="${WORKDIR}/${MY_P}"

RESTRICT="binchecks preserve-libs strip"

src_install() {
	newicon lib/arduino.png "${MY_PN}".png
	make_desktop_entry "/opt/${MY_PN}/${MY_PN}" Arduino "${MY_PN}"

	mkdir -p "${D}"/opt/"${MY_PN}" || die
	cp -a * "${D}"/opt/"${MY_PN}" || die
	cp "${DISTDIR}"/TeensyduinoInstall-${TEENSY_PV}.linux* "${WORKDIR}"/TeensyduinoInstall
	chmod 755 "${WORKDIR}"/TeensyduinoInstall
	"${WORKDIR}"/TeensyduinoInstall --dir="${D}"/opt/"${MY_PN}"

	make_wrapper ${MY_PN} "${EROOT}opt/${MY_PN}/${MY_PN}" "${EROOT}opt/${MY_PN}"
	udev_newrules "${DISTDIR}"/00-teensy.rules 49-teensy.rules
}
