# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit xdg unpacker

MY_PV="${PV}-1"

DESCRIPTION="An Electron app for Emby"
HOMEPAGE="https://github.com/MediaBrowser/emby-theater-electron/"
#SRC_URI="https://github.com/MediaBrowser/${PN}-electron/releases/download/${PV}/${PN}_${PV}_amd64.deb"
SRC_URI="https://github.com/MediaBrowser/${PN}-electron/releases/download/${PV}/${PN}-deb_${PV}_amd64.deb"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"

RDEPEND="
	dev-libs/libcec
	dev-qt/qtquickcontrols2
	dev-qt/qtwebchannel
	dev-qt/qtwebengine
	dev-qt/qtx11extras
	media-video/mpv[libmpv]
"

QA_PREBUILT=".*"

S="${WORKDIR}"

src_install() {
	doins -r opt
	doins -r usr
	fperms +x /opt/emby-theater/electron/emby-theater
	fperms +x /opt/emby-theater/bin/mpv
	fperms +x /usr/bin/emby-theater
	rm -r "${ED}"/usr/share/doc/ || die
}
