# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

inherit eutils versionator multilib

MAJOR_PV="$(get_version_component_range 1-3)"
FULL_PV="${MAJOR_PV}-$(get_version_component_range 4)"
DESCRIPTION="Simple and free tools to secure, analyze and troubleshoot any network."
HOMEPAGE="https://www.fing.io"
#SRC_URI="https://www.fing.com/images/uploads/general/CLI_Linux_others_${PV}.zip -> overlook-fing-CLI_Linux_others_${PV}.zip"
SRC_URI="https://www.fing.com/images/uploads/general/CLI_Linux_Generic_${PV}.zip -> fing-CLI_Linux_Generic_${PV}.zip"

LICENSE="nomachine"
SLOT="0"
KEYWORDS="amd64 x86 arm"
IUSE=""
RESTRICT="strip"

DEPEND="app-arch/unzip"
RDEPEND="sys-libs/zlib"

S=${WORKDIR}

src_unpack() {
	unpack ${A}
	cd "${S}"
	if [[ ${CHOST} = armv5* ]]; then
		unpack "${S}"/fing-${PV}-arm.tar.gz
		ARCH=arm
	elif [[ ${CHOST} = armv6* ]]; then
		if [[ ${CHOST} = *hardfloat* ]]; then
			unpack "${S}"/fing-${PV}-armhf.tar.gz
			ARCH=armhf
		else
			unpack "${S}"/fing-${PV}-arm.tar.gz
			ARCH=arm
		fi
	elif [[ ${CHOST} = armv7* ]]; then
		if [[ ${CHOST} = *hardfloat* ]]; then
			unpack "${S}"/fing-${PV}-armhf.tar.gz
			ARCH=armhf
		else
			unpack "${S}"/fing-${PV}-arm.tar.gz
			ARCH=arm
		fi
	elif [[ ${CHOST} = x86_64* ]]; then
		unpack "${S}"/fing-${PV}-amd64.tar.gz
		ARCH=amd64
	else
		unpack "${S}"/fing-${PV}-i686.tar.gz
		ARCH=i686
	fi
}

src_install()
{
	cd "${S}"/fing-${PV}-${ARCH}
	cp -pPR usr "${D}" || die
}
