# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"
WX_GTK_VER="3.0"

inherit eutils wxwidgets git-r3

DESCRIPTION="OpenNX is an OSS drop-in replacement for Nomachine's nxclient"
HOMEPAGE="https://sourceforge.net/projects/opennx/"
#SRC_URI="mirror://sourceforge/opennx/opennx/CI-source/${P}.tar.gz"
EGIT_REPO_URI="https://github.com/dimbor-ru/opennx.git"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND="x11-libs/wxGTK:3.0
	dev-libs/opensc
	net-print/cups
	virtual/libusb:1
	net-fs/samba[client]
	net-misc/nx
	net-misc/curl
	x11-libs/libXau
	x11-libs/libXmu"

RDEPEND="${DEPEND}
	!net-misc/nxclient"

PROVIDE="virtual/nxclient"

#S="${WORKDIR}/opennx-0.16"

src_prepare() {
	emake -f Makefile.am
	default
}

src_configure() {
	need-wxwidgets unicode

	econf \
		--with-wx-config="${WX_CONFIG}" || die "econf failed"
}

src_install() {
	make DESTDIR="${D}" install || die "make install failed"
	# nxssh expects the client to be named nxclient so create a symlink
	# to make this hardcoded app happy
	dosym opennx /usr/bin/nxclient || die "failed creating symlink"
	dodoc ChangeLog
}
