# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

inherit eutils unpacker pam

DESCRIPTION="Remote DesktopManager"
HOMEPAGE="https://remotedesktopmanager.com"

SRC_URI="https://cdn.devolutions.net/download/Linux/RDM/${PV}/RemoteDesktopManager.Free_${PV}_amd64.deb"

LICENSE="Devolution"

SLOT="0"

KEYWORDS="~amd64"

IUSE=""

RESTRICT="strip mirror test"

DEPEND="|| ( sys-devel/base-gcc sys-devel/gcc )
	sys-apps/dbus
	sys-apps/systemd
	sys-libs/glibc
	sys-libs/pam"

RDEPEND="${DEPEND}"

S=${WORKDIR}

src_unpack() {
	unpack_deb ${A}
}

src_install() {
	dodir /opt/devolutions/RemoteDesktopManager.Free
	cp -aR usr/lib/devolutions/RemoteDesktopManager.Free/* "${D}/opt/devolutions/RemoteDesktopManager.Free"
	dodir /opt/bin
	sed -e 's!usr/lib!opt!g' bin/remotedesktopmanager.free > "${D}/opt/bin/remotedesktopmanager.free"
	chmod +x "${D}/opt/bin/remotedesktopmanager.free"
	dodir /usr/share/applications
	sed -e "s!usr/lib!opt!g" usr/share/applications/remotedesktopmanager.free.desktop > "${D}/usr/share/applications/remotedesktopmanager.free.desktop"
	dodir /usr/share/icons
	cp -aR usr/share/icons/* "${D}/usr/share/icons"
}
