# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

inherit autotools

DESCRIPTION="ADMS is a code generator for the Verilog-AMS language"
HOMEPAGE="https://github.com/Qucs/ADMS"
SRC_URI="https://github.com/Qucs/ADMS/archive/release-${PV//_/-}.tar.gz -> adms-${PV}-source.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

RDEPEND="
	sys-devel/flex
	sys-devel/bison"
DEPEND="
	dev-perl/XML-LibXML
	$RDEPEND"

S=${WORKDIR}/ADMS-release-${PV}

src_prepare() {
	default
	./bootstrap.sh
}

src_configure() {
	local myeconfargs=(
		--enable-maintainer-mode
	)

	econf $myeconfargs
}
