# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

inherit eutils java-pkg-2 java-ant-2 desktop

DESCRIPTION="Digital logic designer and simulator."
HOMEPAGE="https://github.com/logisim-evolution/logisim-evolution"
#SRC_URI="https://github.com/logisim-evolution/logisim-evolution/archive/v${PV}.tar.gz"
SRC_URI="https://github.com/logisim-evolution/logisim-evolution/releases/download/v${PV}/logisim-evolution-${PV}-all.jar
	https://github.com/logisim-evolution/logisim-evolution/blob/master/artwork/logisim-evolution-icon.svg"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="java nls"

DEPEND=">=virtual/jre-11:*"
RDEPEND="${DEPEND}"

S="${WORKDIR}/${P}"

src_unpack() {
	mkdir -p "${S}"
	cp "${DISTDIR}"/logisim-evolution-${PV}-all.jar "${S}"/logisim-evolution.jar
}

src_install() {
	java-pkg_newjar logisim-evolution.jar ${PN}.jar
	java-pkg_dojar logisim-evolution.jar
	java-pkg_dolauncher logisim-evolution -jar logisim-evolution.jar
	newicon "${DISTDIR}"/logisim-evolution-icon.svg ${PN}.svg
	make_desktop_entry ${PN} "Logisim Evolution" ${PN} "Science;Electricity;ComputerScience"
}
