# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit bash-completion-r1 udev

DESCRIPTION="A free and open TL866XX programmer"
HOMEPAGE="https://gitlab.com/DavidGriffith/minipro"
SRC_URI="https://gitlab.com/DavidGriffith/minipro/-/archive/${PV}/${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"

RDEPEND="virtual/libusb:1"
DEPEND="${RDEPEND}"

PATCHES=(
	"${FILESDIR}/${P}-libs.patch"
)

src_compile() {
	emake PREFIX=/usr
	emake library PREFIX=/usr
}

src_install() {
	emake install DESTDIR="${D}" PREFIX=/usr UDEV_DIR=$(get_udevdir)
	emake install_library DESTDIR="${D}" PREFIX=/usr UDEV_DIR=$(get_udevdir)
	dobashcomp bash_completion.d/minipro
	udev_reload
}
