# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=5

inherit autotools eutils

DESCRIPTION="Partition cloning tool"
HOMEPAGE="http://partclone.org"
SRC_URI="mirror://sourceforge/partclone/testing/src/partclone_${PV}.orig.tar.gz -> partclone-${PV}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="+xfs +reiserfs +reiser4 hfsp +fat +ntfs +jfs +btrfs static mtrace"

DEPEND=">=sys-fs/e2fsprogs-1.41.4
	xfs? ( sys-fs/xfsprogs )
	reiserfs? ( <sys-fs/progsreiserfs-0.3.1 )
	reiser4? ( >=sys-fs/reiser4progs-1.0.7 )
	hfsp? ( sys-fs/hfsutils )
	fat? ( sys-fs/dosfstools )
	ntfs? ( sys-fs/ntfs3g[ntfsprogs] )
	jfs? ( >=sys-fs/jfsutils-1.1.15 )
	btrfs? ( sys-fs/btrfs-progs )
	"
RDEPEND="${DEPEND}"

src_prepare() {
	if [ "${ARCH}" = "arm" ]; then
		sed -e "s/fail-mbr//g" -i ${S}/Makefile.am
	fi
	#epatch "${FILESDIR}/automake.patch"
	#epatch "${FILESDIR}/jfsclone-no-return.patch"
	eautoreconf
}

src_configure() {
	local myconf=""
	use xfs && myconf="${myconf} --enable-xfs"
		use xfs && myconf="${myconf} --enable-xfs"
		use reiserfs && myconf="${myconf} --enable-reiserfs"
		use reiser4 && myconf="${myconf} --enable-reiser4"
		use hfsp && myconf="${myconf} --enable-hfsp"
		use fat && myconf="${myconf} --enable-fat"
		use ntfs && myconf="${myconf} --enable-ntfs"
		use jfs && myconf="${myconf} --enable-jfs"
		use btrfs && myconf="${myconf} --enable-btrfs"
		use static && myconf="${myconf} --enable-static"
		use mtrace && myconf="${myconf} --enable-mtrace"
	econf ${myconf} \
		--enable-extfs \
		--enable-ncursesw
}

src_install() {
	emake DESTDIR="${D}" install || die "make install failed"
#	cd ${S}/src
#	dosbin partclone.dd partclone.restore partclone.chkimg
#	dosbin partclone.extfs
#	use xfs && dosbin partclone.xfs
#	use reiserfs && dosbin partclone.reiserfs
#	use reiser4 && dosbin partclone.reiser4
#	use hfs && dosbin partclone.hfsp
#	use fat && dosbin partclone.fat
#	use ntfs && dosbin partclone.ntfs
#	use ntfs && dosbin partclone.ntfsfixboot
}

