# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="5"

inherit eutils autotools

DESCRIPTION="A download manager"
HOMEPAGE="http://prozilla.genesys.ro/"
SRC_URI="http://ftp.disconnected-by-peer.at/prozilla/${P}.tar.bz2
	ftp://ftp.jpix.ad.jp/pub/FreeBSD/ports/distfiles/${P}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~arm ~ppc sparc x86"
IUSE="static nls pic"

RDEPEND="virtual/libc
	>=sys-libs/ncurses-5.2"
DEPEND="${RDEPEND}
	>=sys-apps/sed-4"

src_prepare() {
	epatch "${FILESDIR}"/prozilla-ac_fixes.patch
	epatch "${FILESDIR}"/prozilla-Oopt.patch
	epatch "${FILESDIR}"/prozilla-2.0.4-Oopt-document-1.patch
	epatch "${FILESDIR}"/prozilla-man.patch
	epatch "${FILESDIR}"/prozilla-gcc4.patch
	epatch "${FILESDIR}"/prozilla-opt.patch
	epatch "${FILESDIR}"/prozilla-2.0.4-home_dir-1.patch
	epatch "${FILESDIR}"/prozilla-no_memleak.patch
	head -n 667 libprozilla/acinclude.m4 > tmp
	mv tmp libprozilla/acinclude.m4
#	die
	eautoreconf
}

src_configure() {
	econf --enable-shared \
	    $(use_enable static) \
	    $(use_enable nls) \
	    $(use_with pic)
}

src_install () {
	make DESTDIR="${D}" install || die "make install failed"
	dodoc AUTHORS CREDITS* ChangeLog docs/FAQ libprozilla/docs/HACKING NEWS README TODO
	insinto /etc
	newins "${FILESDIR}"/prozrc.sample prozilla.conf

	rm -f "${D}"/usr/share/locale/locale.alias
}
