# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit eutils desktop xdg-utils
MY_PV=$(ver_rs 1- '')

DESCRIPTION="IDA is the Interactive DisAssembler"
SRC_URI="https://out7.hex-rays.com/files/idafree${MY_PV}_linux.run"
HOMEPAGE="https://www.hex-rays.com/"

LICENSE="IDA-EULA"
SLOT="0"
KEYWORDS="~amd64"

RESTRICT="bindist strip"

RDEPEND="dev-qt/qtgui:5
		dev-qt/qtcore:5
		dev-qt/qtprintsupport:5
		dev-qt/qtwidgets:5
		sys-libs/binutils-libs"

src_unpack() {
	mkdir -p "${S}"
	cp "${DISTDIR}/idafree${MY_PV}_linux.run" "${WORKDIR}/idafree_linux.run"
	chmod +x "${WORKDIR}/idafree_linux.run"
	"${WORKDIR}/idafree_linux.run" --mode unattended --prefix "${S}"
}

src_prepare() {
	default
	rm "${S}"/Uninstall*
	rm "${S}"/uninstall*
}

src_install() {
	mkdir -p "${ED}"/opt/HexRays/IDAFree
	cp -a "${S}"/* "${ED}"/opt/HexRays/IDAFree/ || die

	newicon "${S}"/appico64.png ${PN}.png

	dosym /opt/HexRays/IDAFree/ida64 /opt/bin/idafree64
	make_desktop_entry /opt/bin/idafree64 "IDA Freeware and Hex-Rays Decompilers" ${PN} "Science;ComputerScience"
}

pkg_postinst() {
	xdg_desktop_database_update
	xdg_mimeinfo_database_update
}

pkg_postrm() {
	xdg_desktop_database_update
	xdg_mimeinfo_database_update
}
